Bug 138035 - Unable to upgrade with LVM /home directory
Unable to upgrade with LVM /home directory
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 18:06 EST by Todd A. Jacobs
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 16:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd A. Jacobs 2004-11-03 18:06:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
Attempting an upgrade on an FC1 system with logical volume groups
causes the intaller to force a reboot, with no options to proceed or
correct the problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
When attempting to upgrade a FC1 system to FC3 Test 3, the installer
(both graphical and text) will fail with the error "Invalid Mount
Point" when attempting the upgrade if the /home directory is part of a
logical volume group. The error message says something about failing
to mount /opt/home, and claims that it contains a faulty path.

The text screen gives the following error:

isys.py:mount() - going to mount /dev/Home/home on /mnt/sysimage/home
trying to mount hda6 on /opt/home

and then the installer forces me to reboot.

Additional info:

This may also have caused some data corruption on /home. However, that
is something that I have not been able to reproduce, and should (if
true) probably be a seperate bug in any event.
Comment 1 Jeremy Katz 2004-11-04 09:36:35 EST
What are the contents of your /etc/fstab?
Comment 2 Jeremy Katz 2005-02-01 16:59:31 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.